For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
      • GETGet a WhatsApp campaign
      • DELDelete a WhatsApp campaign
      • PUTUpdate a WhatsApp campaign
      • GETReturn all your created WhatsApp templates
      • POSTCreate and Send a WhatsApp campaign
      • GETReturn all your created WhatsApp campaigns
      • GETGet your WhatsApp API account information
        • POSTCreate a WhatsApp template
        • POSTSend your WhatsApp template for approval
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Marketing CampaignsWhatsApp CampaignsWhatsApp Templates

Send your WhatsApp template for approval

POST
https://api.brevo.com/v3/whatsappCampaigns/template/approval/:templateId
POST
/v3/whatsappCampaigns/template/approval/:templateId
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.whatsAppCampaigns.sendWhatsAppTemplateApproval(1);
8}
9main();
1{}
<Note>You can use this API for WhatsApp only if you have setup your WhatsApp account on Brevo platform. To setup your WhatsApp account, follow the steps in the guide below. [Activating WhatsApp](https://developers.brevo.com/docs/whatsapp-campaigns-1) in your account</Note>
Was this page helpful?
Previous

Create contact attribute

Next
Built with
You can use this API for WhatsApp only if you have setup your WhatsApp account on Brevo platform. To setup your WhatsApp account, follow the steps in the guide below. Activating WhatsApp in your account

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

templateIdlongRequired
id of the template

Response

WhatsApp template sent for approval

Errors

400
Bad Request Error